#include "CS_ExpPlacer.h"
#include "CS_Exp.h"
void CS_ExpPlacer::Step()
{
	if (expNum > 0)
		SetCS_Exp(shared_from_this(), x, y, expNum);
	Destroy();
}

void CS_ExpPlacer::SetState(int stateID, int lr)
{
	expNum = stateID;
}

std::shared_ptr<Entity> CreateCS_ExpPlacer()
{
	return std::make_shared<CS_ExpPlacer>();
}
